Update in xenial fails


#1

Expected behaviour

Update from 2.3.1 to 2.3.3

Actual behaviour

Fails when downloading a number of packages, starting with this one:

Err:1 https://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_16.04  ocqt562-libqt5core5a 5.6.2-1+22.1
  Protocol "http" not supported or disabled in libcurl

for information: curl-config --configure returns the following:

 '--disable-ldap' '--prefix=/home/anaconda2' '--with-ca-bundle=/home/anaconda2/ssl/cacert.pem' '--with-ssl=/home/anaconda2' '--with-zlib=/home/anaconda2'

Steps to reproduce

in Mint 18 Sarah (Ubuntu 16.04)
1. Remove 2.3.1
2. following instructions page:

sudo sh -c "echo 'deb https://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_16.04/ /' > /etc/apt/sources.list.d/owncloud-client.list"
sudo apt-get update
sudo apt-get install owncloud-client

with latest libcurl 7.49.0 for ubuntu xenial installed.


#2

Seems the OpenSUSE Build Service has yet another batch of issues with their repositories / mirrors. Might worth a try to use the new download repositories by the owncloud guys linked here:


#3

This does not fix my problem. I tried the procedure linked above:

apt-get autoremove
apt-get autoclean
sh -c "echo 'deb http://download.owncloud.com/repositories/desktop/Ubuntu_16.04/ /' > /etc/apt/sources.list.d/owncloud.list"
apt-get update
apt-get install owncloud-client

This last one returns:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  libowncloudsync0 libxcb-xinerama0 ocqt562-libqt5core5a ocqt562-libqt5dbus5
  ocqt562-libqt5gui5 ocqt562-libqt5keychain1 ocqt562-libqt5network5
  ocqt562-libqt5opengl5 ocqt562-libqt5printsupport5 ocqt562-libqt5sql5
  ocqt562-libqt5sql5-sqlite ocqt562-libqt5webkit5 ocqt562-libqt5widgets5
  ocqt562-libqt5xml5 owncloud-client-l10n
Suggested packages:
  ocqt562-libqt5libqgtk2 owncloud-client-dolphin owncloud-client-nautilus
  owncloud-client-nemo owncloud-client-caja
Recommended packages:
  ocqt562-libqt5svg5
The following NEW packages will be installed:
  libowncloudsync0 libxcb-xinerama0 ocqt562-libqt5core5a ocqt562-libqt5dbus5
  ocqt562-libqt5gui5 ocqt562-libqt5keychain1 ocqt562-libqt5network5
  ocqt562-libqt5opengl5 ocqt562-libqt5printsupport5 ocqt562-libqt5sql5
  ocqt562-libqt5sql5-sqlite ocqt562-libqt5webkit5 ocqt562-libqt5widgets5
  ocqt562-libqt5xml5 owncloud-client owncloud-client-l10n
0 upgraded, 16 newly installed, 0 to remove and 21 not upgraded.
Need to get 18,4 MB/18,4 MB of archives.
After this operation, 70,1 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
WARNING: The following packages cannot be authenticated!
  ocqt562-libqt5core5a ocqt562-libqt5dbus5 ocqt562-libqt5network5
  ocqt562-libqt5gui5 ocqt562-libqt5widgets5 ocqt562-libqt5opengl5
  ocqt562-libqt5printsupport5 ocqt562-libqt5sql5 ocqt562-libqt5keychain1
  libowncloudsync0 ocqt562-libqt5sql5-sqlite ocqt562-libqt5xml5
  owncloud-client-l10n owncloud-client
Install these packages without verification? [y/N] y
Get:1 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  ocqt562-libqt5core5a 5.6.2-13.1 [1 806 kB]
Get:2 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  ocqt562-libqt5dbus5 5.6.2-13.1 [221 kB]
Get:3 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  ocqt562-libqt5network5 5.6.2-13.1 [585 kB]
Get:4 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  ocqt562-libqt5gui5 5.6.2-13.1 [2 490 kB]
Get:5 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  ocqt562-libqt5widgets5 5.6.2-13.1 [2 229 kB]
Get:6 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  ocqt562-libqt5opengl5 5.6.2-13.1 [159 kB]
Get:7 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  ocqt562-libqt5printsupport5 5.6.2-13.1 [205 kB]
Get:8 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  ocqt562-libqt5sql5 5.6.2-13.1 [141 kB]
Get:9 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  ocqt562-libqt5keychain1 0.7.0-2.2 [44,9 kB]
Get:10 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  libowncloudsync0 2.3.3-8347 [397 kB]
Get:11 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  ocqt562-libqt5sql5-sqlite 5.6.2-13.1 [68,9 kB]
Get:12 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  ocqt562-libqt5xml5 5.6.2-13.1 [125 kB]
Get:13 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  owncloud-client-l10n 2.3.3-8347 [342 kB]
Get:14 http://download.owncloud.com/repositories/desktop/Ubuntu_16.04  owncloud-client 2.3.3-8347 [861 kB]
Err:15 https://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_16.04  ocqt562-libqt5webkit5 5.6.2-1
  Protocol "http" not supported or disabled in libcurl
Fetched 9 674 kB in 0s (13,0 MB/s)
E: Failed to fetch https://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_16.04/./amd64/ocqt562-libqt5webkit5_5.6.2-1_amd64.deb  Protocol "http" not supported or disabled in libcurl

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

So still this libcurl issue. But libcurl is at its latest version for Ubuntu 16.04. Should I force update it with a version for a later ubuntu release? I'm afraid to break things...


#4

Could you have a look at your owncloud.list file? It could be that it still links to suse.


#5

if you have both now /etc/apt/sources.list.d/owncloud.list and /etc/apt/sources.list.d/owncloud-client.list you need to remove the one that points to opensuse.


#6

Bingo!
/etc/apt/sources.list.d/owncloud-client.list was still pointing to suse. Removed it and installed owncloud-client fine.
Many thanks!